# State

interface State < T > : ReadWriteProperty < Any ?, T >

Definition a Hikage runtime state interface.

#### Inheritors

NonNullState
NullableState

## Functions

getValue
Link copied to clipboard
abstract operator override fun getValue (thisRef: Any ?, property: KProperty <*>): T
setValue
Link copied to clipboard
abstract operator fun setValue (thisRef: Any ?, property: KProperty <*>, value: T )